// =====================================================================
//  stack.h
// =====================================================================

//  Author:         (c) 2014 Camil Demetrescu
//  License:        See the end of this file for license information
//  Created:        June 16, 2014

//  Last changed:   $Date: 2014/06/16 15:00:07 $
//  Changed by:     $Author: demetres $
//  Revision:       $Revision: 1.00 $


#ifndef __STACK__
#define __STACK__

typedef struct stack stack;

stack* stack_init    ();
int    stack_isempty (const stack* s);
void   stack_push    (stack** s, int e);
int    stack_pop     (stack** s, int* err);
int    stack_top     (const stack* s, int* err);
void   stack_popall  (stack** s);

#endif
